Skip to main content
GET
/
api
/
Subscriptions
Get Subscriptions
curl --request GET \
  --url https://api-sandbox.revolv3.com/api/Subscriptions \
  --header 'x-revolv3-token: <api-key>'
import requests

url = "https://api-sandbox.revolv3.com/api/Subscriptions"

headers = {"x-revolv3-token": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-revolv3-token': '<api-key>'}};

fetch('https://api-sandbox.revolv3.com/api/Subscriptions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "subscriptionId": 1,
    "customerId": 3,
    "merchantSubscriptionRefId": null,
    "networkTransactionId": null,
    "billingIntervalType": "Days",
    "billingIntervalCount": 1,
    "subscriptionStatusType": "current",
    "subscriptionCancelType": null,
    "initialBillDate": "01.07.2026",
    "nextBillDate": "02.07.2026",
    "taxAddress": {
      "addressId": 0,
      "addressLine1": "101 Update Street",
      "addressLine2": null,
      "city": "Irvine",
      "state": "CA",
      "postalCode": "92602",
      "phoneNumber": null,
      "email": null,
      "country": "US"
    },
    "paymentMethodIds": [
      1
    ],
    "cancelledAt": null,
    "billingPlans": [
      {
        "subscriptionBillingPlanId": 1,
        "subscriptionId": 0,
        "name": "Billing Plan 1",
        "value": 10.99,
        "startDate": "01.07.2026",
        "cyclesRemaining": -1,
        "cycleCount": 0,
        "valueType": "Standard"
      },
      {
        "subscriptionBillingPlanId": 2,
        "subscriptionId": 0,
        "name": "Billing Plan 2",
        "value": 14.99,
        "startDate": "01.07.2026",
        "cyclesRemaining": 12,
        "cycleCount": 0,
        "valueType": "Standard"
      }
    ],
    "message": null,
    "paymentProcessor": null,
    "processorMerchantId": null,
    "processorRawResponse": null,
    "currency": null,
    "responseMessage": null,
    "responseCode": null
  },
  {
    "subscriptionId": 2,
    "customerId": 3,
    "merchantSubscriptionRefId": null,
    "networkTransactionId": null,
    "billingIntervalType": "Months",
    "billingIntervalCount": 1,
    "subscriptionStatusType": "recycled",
    "subscriptionCancelType": null,
    "initialBillDate": "01.07.2026",
    "nextBillDate": "02.07.2026",
    "taxAddress": null,
    "paymentMethodIds": null,
    "cancelledAt": null,
    "billingPlans": null,
    "message": null,
    "paymentProcessor": null,
    "processorMerchantId": null,
    "processorRawResponse": null,
    "currency": null,
    "responseMessage": null,
    "responseCode": null
  }
]
{
"message": "Attempted to perform an unauthorized operation."
}
{
"message": "Unable to find an entity with the provided data."
}

Authorizations

x-revolv3-token
string
header
required

Query Parameters

merchantSubscriptionRefId
string

Response

OK

subscriptionId
integer<int64>
Required range: 1 <= x <= 1000000000
customerId
integer<int64>
Required range: 1 <= x <= 1000000000
merchantSubscriptionRefId
string | null
Maximum string length: 100
networkTransactionId
string | null
Maximum string length: 100
billingIntervalType
string | null
Maximum string length: 50
billingIntervalCount
integer<int32>
Required range: 1 <= x <= 1000000000
subscriptionStatusType
string | null
Maximum string length: 50
subscriptionCancelType
string | null
Maximum string length: 50
initialBillDate
string | null
Maximum string length: 20
nextBillDate
string | null
Maximum string length: 20
taxAddress
object
paymentMethodIds
integer<int64>[] | null
cancelledAt
string<date-time> | null
Maximum string length: 40
billingPlans
object[] | null
message
string | null
Maximum string length: 500
paymentProcessor
string | null
Maximum string length: 100
processorMerchantId
string | null
Maximum string length: 100
processorRawResponse
string | null
Maximum string length: 10000
currency
string | null
Maximum string length: 3
responseMessage
string | null
Maximum string length: 500
responseCode
string | null
Maximum string length: 10